VisualEditor: Message <visualeditor-feedback-link> should be used in content language
Closed, ResolvedPublic

Description

Having users using different languages to post feedback on different pages on the same site makes it difficult to manage.


Version: unspecified
Severity: minor

bzimport set Reference to bz47730.
liangent created this task.Via LegacyApr 26 2013, 1:00 PM
Jdforrester-WMF added a comment.Via ConduitMay 17 2013, 4:59 PM

(Is this a bug in the core MW feedback tool?)

liangent added a comment.Via ConduitMay 17 2013, 5:56 PM

I'm not sure what "core MW feedback tool" means, but I was talking about the feedback feature for [[Wikipedia:VisualEditor/Feedback]].

Jdforrester-WMF added a comment.Via ConduitMay 17 2013, 5:57 PM

(In reply to comment #2)

I'm not sure what "core MW feedback tool" means, but I was talking about the
feedback feature for [[Wikipedia:VisualEditor/Feedback]].

Yes, this is a core MediaWiki feature, it just happens to be used by VisualEditor:

resources/mediawiki/mediawiki.feedback.js
liangent added a comment.Via ConduitMay 17 2013, 6:03 PM

But there is:

modules/ve/init/mw/targets/ve.init.mw.ViewPageTarget.js:

		'title': new mw.Title( ve.msg( 'visualeditor-feedback-link' ) ),

shouldn't something like:

new mw.Title( ve.msg( 'visualeditor-feedback-link' ).inContentLanguage() )

be used?

Jdforrester-WMF added a comment.Via ConduitMay 17 2013, 6:06 PM

Yes, that would fix this particular problem; my question is more as to whether the core tool should default for target link to be in the content language.

liangent added a comment.Via ConduitMay 17 2013, 6:14 PM

(In reply to comment #5)

Yes, that would fix this particular problem; my question is more as to
whether
the core tool should default for target link to be in the content language.

Based on what I see in the usage given above, you're giving a Title to core feedback tool, which points to a certain page, instead of a message name to core with feedback page name in that message.

gerritbot added a comment.Via ConduitMay 18 2013, 5:37 PM

Related URL: https://gerrit.wikimedia.org/r/64498 (Gerrit Change I3804e6f91015ef9b8ae5196efb37475d714cd7d5)

Jdforrester-WMF added a comment.Via ConduitMay 20 2013, 4:44 PM
  • Bug 48645 has been marked as a duplicate of this bug. ***
Jdforrester-WMF added a comment.Via ConduitMay 20 2013, 10:25 PM

Merged and will go out in wmf5.

Nemo_bis added a comment.Via ConduitJun 30 2013, 2:49 PM

pl.wiki is on 1.22wmf8 but my feedback was posted to a non-existing page with Italian title (I have Italian UI), [[pl:Wikipedia:VisualEditor/Commenti]]: https://pl.wikipedia.org/w/index.php?title=Wikipedia:VisualEditor/Commenti&oldid=36959657

Jdforrester-WMF added a comment.Via ConduitJul 15 2013, 1:40 AM

(In reply to comment #10)

pl.wiki is on 1.22wmf8 but my feedback was posted to a non-existing page with
Italian title (I have Italian UI), [[pl:Wikipedia:VisualEditor/Commenti]]:
https://pl.wikipedia.org/w/index.php?title=Wikipedia:VisualEditor/
Commenti&oldid=36959657

Confirmed, this is also happening to me. Did the code get broken somehow?

Krinkle added a comment.Via ConduitJul 16 2013, 9:27 PM

(In reply to comment #11)

(In reply to comment #10)
> pl.wiki is on 1.22wmf8 but my feedback was posted to a non-existing page with
> Italian title (I have Italian UI), [[pl:Wikipedia:VisualEditor/Commenti]]:
> https://pl.wikipedia.org/w/index.php?title=Wikipedia:VisualEditor/
> Commenti&oldid=36959657

Confirmed, this is also happening to me. Did the code get broken somehow?

Somewhere between https://gerrit.wikimedia.org/r/#/c/68216/ and its parent (I can't seem to find the commit that added it) the message was added in VisualEditor.php's resource module definition. Which caused the message from VisualEditorMessagesModule (in content-language) to be overridden at run time by the one from ResourceLoader for user language.

gerritbot added a comment.Via ConduitJul 16 2013, 9:28 PM

Change 74064 had a related patch set uploaded by Krinkle:
Remove 'visualeditor-feedback-link' from RL module

https://gerrit.wikimedia.org/r/74064

Jdforrester-WMF added a comment.Via ConduitJul 16 2013, 10:06 PM

Fixed. Sorry about this. Will be deployed this afternoon.

gerritbot added a comment.Via ConduitJul 16 2013, 10:06 PM

Change 74064 merged by jenkins-bot:
Remove 'visualeditor-feedback-link' from RL module

https://gerrit.wikimedia.org/r/74064

Add Comment

Column Prototype
This is a very early prototype of a persistent column. It is not expected to work yet, and leaving it open will activate other new features which will break things. Press "\" (backslash) on your keyboard to close it now.